# Odoocker 

Odoo local environment boilerplate with Docker/Podman, for development purpose

## Setup

If not enterprise version, remove the enterprise line in compose file  
Put your custom modules in `./modules`

From env.dist, create an .env file in the project directory root to set up environment variables

## Start 

`docker-compose up -d`

With the basic setup, it will create a new database `odoo` (master password `odoo`), with base&enterprise installed and demo data.

You can use the COMMAND var to custom the command at launch :

```shell
 COMMAND="-d odoo -i mymodule" docker-compose up -d
```

## Use

Odoo at [localhost:8089/web](http://localhost:8089/web)  
Odoo database manager at [localhost:8089/web/database/manager](http://localhost:8089/web)

Mailcatcher at [localhost:1080/](http://localhost:1080/)
